'combo combobox find
'  找到组合框中匹配搜索文本的第一个索引号。
'  搜索区分大小写字母。
' hWndControl: 控件的句柄 （例如 HWND_FORM1_COMBO1）                 
'   nIndex:      基于零的索引项的第一项之前要搜索。当搜索到列表的底部，它继续从列表的顶部，直到它到达指定位置。
'                如果nIndex = 1，那么整个列表搜索从 1开始。
'   SearchText:  要查找的文字：包含搜索字符串的前缀。
'   Returns:     返回值是匹配项的索引。
'                如果出现错误，则返回 %CB_ERR
Function FF_ComboBox_FindString(hWndControl as HWnd, nIndex as Long, SearchText as CWSTR) as Long
   
   '检查窗口句柄是否有效
   If IsWindow(hWndControl) Then
      ''发消息给控件
      Function = SendMessageW(hWndControl, CB_FINDSTRING, 0, Cast(LPARAM, SearchText.vptr))
   Else
      Function = CB_ERR
   End If
   
End Function

